View Issue Details

IDProjectCategoryView StatusLast Update
0032907Open CASCADEOCCT:Codingpublic2022-05-01 15:15
Reporterddzama Assigned Toddzama  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformWindowsOSVC++ 2019 
Product Version7.6.0 
Target Version7.7.0 
Summary0032907: Coding Rules - eliminate MSVC warning C5054 on VS2019/C++20 (operator &,|: deprecated between enumerations of different types)
Descriptionoperator `&`,`|`: deprecated between enumerations of different types
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032887 assignedddzama Coding - Problem of compilation on VS2019/C++20 

Activities

git

2022-04-05 10:22

administrator   ~0107625

Branch CR32907 has been created by ddzama.

SHA-1: bfbb0ba1edc9e2f8ae56537728f495185c3d09e4


Detailed log of new commits:

Author: Dmitry DZAMA
Date: Wed Mar 30 10:06:01 2022 +0300

    0032907: Get rid of warning C5054.
    
    operator `&`,`|`: deprecated between enumerations of different types

git

2022-04-07 14:31

administrator   ~0107691

Branch CR32907 has been updated forcibly by ddzama.

SHA-1: 51456fad157f5f5851120dd94db7635156edc73a

git

2022-04-07 14:37

administrator   ~0107696

Branch CR32907 has been updated forcibly by ddzama.

SHA-1: ed3b434a403fde2ffb4749bd2cdbbd4e76531a73

git

2022-04-07 15:19

administrator   ~0107718

Branch CR32907 has been updated forcibly by ddzama.

SHA-1: 28620d20136137ca489cd2edb40080368902b5ac

git

2022-04-08 10:23

administrator   ~0107741

Branch CR32907 has been updated forcibly by ddzama.

SHA-1: 3f23f2ec1ef54a97abe210e4067889e6ec57d468

kgv

2022-04-08 18:12

developer   ~0107764

+  using Message_Status_ut = std::underlying_type<Message_Status>::type;
+  using StatusMask_ut = std::underlying_type<StatusMask>::type;

Please use common integer type instead of this overcomplication.

+  addActionHotKeys (Aspect_VKey_NavForward,        (Standard_UInteger)Aspect_VKey_W,

Tip: there is `Aspect_VKey` which is already an typedef to `unsigned int` within this file.

git

2022-04-20 13:34

administrator   ~0108045

Branch CR32907 has been updated forcibly by ddzama.

SHA-1: 6cac0ecf454a88158dbcc67ec89229ed7f69b6bb

git

2022-04-26 02:07

administrator   ~0108173

Branch CR32907 has been updated forcibly by ddzama.

SHA-1: 8a97d8e60dd8749d18a17c161c10e6d2c25f2314

git

2022-04-26 18:08

administrator   ~0108193

Branch CR32907_1 has been created by kgv.

SHA-1: e9b570b49457793061979c9d3295e695030d00e7


Detailed log of new commits:

Author: Dmitry DZAMA
Date: Wed Mar 30 10:06:01 2022 +0300

    0032907: Coding Rules - eliminate MSVC warning C5054 on VS2019/C++20 (operator &,|: deprecated between enumerations of different types)
    
    operator `&`,`|`: deprecated between enumerations of different types

kgv

2022-04-26 21:02

developer   ~0108197

Please raise the patch
- OCCT: branch CR32907_1.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32907_1-master-KGV/

smoskvin

2022-05-01 13:27

administrator   ~0108267

Combination -
OCCT branch : IR-2022-04-29
master SHA - e976df232941aae838b8c3dcf4b9f79f79bea705
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-04-29 SHA - d8a13f7f0c119514dcb0285266e54f3994f65e57
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18668.100000000675 / 18636.43000000061 [+0.17%]
Products
Total CPU difference: 11742.710000000114 / 11717.180000000135 [+0.22%]
Windows-64-VC14:
OCCT
Total CPU difference: 20733.796875 / 20693.28125 [+0.20%]
Products
Total CPU difference: 13272.875 / 13248.015625 [+0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-05-01 15:14

administrator   ~0108274

Branch CR32907 has been deleted by mnt.

SHA-1: 8a97d8e60dd8749d18a17c161c10e6d2c25f2314

git

2022-05-01 15:15

administrator   ~0108275

Branch CR32907_1 has been deleted by mnt.

SHA-1: e9b570b49457793061979c9d3295e695030d00e7

Related Changesets

occt: master 9416ba5f

2022-03-30 10:06:01

ddzama


Committer: smoskvin Details Diff
0032907: Coding Rules - eliminate MSVC warning C5054 on VS2019/C++20 (operator &,|: deprecated between enumerations of different types)

operator `&`,`|`: deprecated between enumerations of different types
Affected Issues
0032907
mod - src/AIS/AIS_ViewController.cxx Diff File
mod - src/HLRAlgo/HLRAlgo_EdgesBlock.hxx Diff File
mod - src/HLRBRep/HLRBRep_FaceData.lxx Diff File
mod - src/Message/Message_ExecStatus.hxx Diff File
mod - src/Standard/Standard_TypeDef.hxx Diff File
mod - src/ViewerTest/ViewerTest_EventManager.cxx Diff File

Issue History

Date Modified Username Field Change
2022-04-05 10:07 ddzama New Issue
2022-04-05 10:07 ddzama Assigned To => ddzama
2022-04-05 10:17 ddzama Relationship added parent of 0032906
2022-04-05 10:18 ddzama Relationship added child of 0032887
2022-04-05 10:22 git Note Added: 0107625
2022-04-05 10:24 ddzama Relationship added child of 0032908
2022-04-05 10:24 ddzama Relationship deleted child of 0032887
2022-04-05 10:25 ddzama Relationship deleted child of 0032908
2022-04-05 10:26 ddzama Relationship added child of 0032908
2022-04-07 12:29 kgv Relationship added child of 0032887
2022-04-07 12:29 kgv Relationship deleted child of 0032908
2022-04-07 12:30 kgv Product Version 7.7.0 => 7.6.0
2022-04-07 12:30 kgv Summary Get rid of warning C5054. => Coding Rules - eliminate MSVC warning C5054
2022-04-07 12:30 kgv Summary Coding Rules - eliminate MSVC warning C5054 => Coding Rules - eliminate MSVC warning C5054 on VS2019 (operator `&`,`|`: deprecated between enumerations of different types)
2022-04-07 12:31 kgv Relationship deleted parent of 0032906
2022-04-07 12:36 kgv Summary Coding Rules - eliminate MSVC warning C5054 on VS2019 (operator `&`,`|`: deprecated between enumerations of different types) => Coding Rules - eliminate MSVC warning C5054 on VS2019/C++20 (operator &,|: deprecated between enumerations of different types)
2022-04-07 14:31 git Note Added: 0107691
2022-04-07 14:37 git Note Added: 0107696
2022-04-07 14:51 ddzama Relationship deleted child of 0032887
2022-04-07 14:53 ddzama Relationship added child of 0032887
2022-04-07 15:19 git Note Added: 0107718
2022-04-08 10:23 git Note Added: 0107741
2022-04-08 18:12 kgv Note Added: 0107764
2022-04-08 18:12 kgv Status new => assigned
2022-04-20 13:34 git Note Added: 0108045
2022-04-26 02:07 git Note Added: 0108173
2022-04-26 11:26 ddzama Assigned To ddzama => kgv
2022-04-26 11:26 ddzama Status assigned => resolved
2022-04-26 11:26 ddzama Steps to Reproduce Updated
2022-04-26 18:08 git Note Added: 0108193
2022-04-26 21:02 kgv Assigned To kgv => bugmaster
2022-04-26 21:02 kgv Status resolved => reviewed
2022-04-26 21:02 kgv Test case number => N/A
2022-04-26 21:02 kgv Note Added: 0108197
2022-05-01 13:27 smoskvin Status reviewed => tested
2022-05-01 13:27 smoskvin Note Added: 0108267
2022-05-01 14:32 smoskvin Changeset attached => occt master 9416ba5f
2022-05-01 14:32 ddzama Assigned To bugmaster => ddzama
2022-05-01 14:32 ddzama Status tested => verified
2022-05-01 14:32 ddzama Resolution open => fixed
2022-05-01 15:14 git Note Added: 0108274
2022-05-01 15:15 git Note Added: 0108275